
#include <print>
using namespace std::string_literals;

import ChartList;

ChartList charts;
// Datei mit der SWR1 Hitparade
const char* const FILENAME = "../../04_Data/swr1_hitparade.csv";

int main()
{
    std::println("Lese Hitparade {} ein.", FILENAME);
    try
    {
        // Hitparde einlesen
        charts.Read(FILENAME);
        auto [year, entries] = charts.GetSize();
        std::println("{} Jahre Hitparade mit {} Titel eingelesen.", year, entries);
        // Bestimme die niedrigest und hoechste Chart-
        // Position der Titel
        // minmax Algorithums
        // --- charts.SearchMinMaxPos(10);
        // Suche alle Titel die mit D beginnen
        // find Algorithmus
        charts.SearchTitle('y');
    }
    catch (const std::string& ex)
    {
        std::println("FEHLER: {}", ex);
    }
    catch (const std::exception& ex)
    {
        std::println("FEHLER: {}", ex.what());
    }

}